Hops
Update a Hop
Partial update — send only the fields you are changing.
PATCH
/
v1
/
hops
/
{id}
Update a Hop
curl --request PATCH \
--url https://brewgravity.com/v1/hops/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"alpha_acid": 123,
"amount_grams": 1,
"time_minutes": 123,
"use": "boil",
"sort_order": 1
}
'import requests
url = "https://brewgravity.com/v1/hops/{id}"
payload = {
"name": "<string>",
"alpha_acid": 123,
"amount_grams": 1,
"time_minutes": 123,
"use": "boil",
"sort_order": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
alpha_acid: 123,
amount_grams: 1,
time_minutes: 123,
use: 'boil',
sort_order: 1
})
};
fetch('https://brewgravity.com/v1/hops/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"alpha_acid": 123,
"amount_grams": 123,
"time_minutes": 123,
"use": "boil",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
]
}Authorizations
An API key created from a signed-in session. See Authentication.
Path Parameters
Hop id
Body
application/json
Hop variety, e.g. "Citra"
Minimum string length:
1Alpha acid percentage
Weight in grams
Required range:
x >= 0Addition time in minutes
When and how the hop is added
Available options:
boil, dry_hop, mash, first_wort, whirlpool, aroma Display order
Required range:
x >= 0Response
The updated Hop
Unique identifier
Parent recipe
Hop variety
Alpha acid percentage
Weight in grams
Addition time in minutes
When and how the hop is added
Available options:
boil, dry_hop, mash, first_wort, whirlpool, aroma Display order
ISO 8601 timestamp
⌘I
Update a Hop
